

:root {
    --secondary-color:rgb(220, 220, 236);
    --space-sm:20px;
    --margin-md:40px;
    --margin-lg:100px;
    --space-xs: 15px;
    --primary-color: black;
    --main-size: 100%;
    --second-size: 200px;
    --font-lg:24px;
    --font-sm:22px;
}

h1 {
    text-align:center;
    font-family: Georgia, 'Times New Roman', Times, serif;
    text-decoration-line: underline;
}
.image {
    margin-top: var(--margin-md);
    display:flex;
    justify-content: center;
    filter: grayscale(100%);
    
}
.profile {
    width: var(--second-size);
    height: var(--second-size);
    object-fit: cover;
    object-position: 0 -65px;
    border-radius: 40%;
    
}
.overview {
    box-shadow: 3px 2px 22px #65d5f1;
    font-size: var(--font-sm);
    list-style: none;
    background-color: rgba(60, 105, 133, 0.26);
    border-radius: 10px;
    display:flex;
    flex-direction:row;
    justify-content:space-around;
    margin: 0;
    padding: 0;
    
    
}
.overview:hover {
    background-image: linear-gradient(to right, turquoise, pink);
    transition: all ease-in-out;
}
h2 {
    margin-top: 85px;
    text-align: center;
    font-size: var(--font-lg);
}
a {
    text-decoration-line: none;
    color: var(--primary-color);
}
.mainlayout {

    min-height: 100vh;
    display:grid;
    grid-template-rows: auto 80px;
    background-color: var(--secondary-color);
}
.personal {
    margin-top: var(--margin-lg);
    list-style: none;
}
h3 {
    text-align:center;
    margin-top: 50px;
    font-size: 18px;
}
.column {
    display:grid;
    gap: var(--space-xs);
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: var(--second-size);
    margin-top: var(--margin-md);
}
.img-1 {
    overflow:hidden;
}
.img-1> img {
    object-fit: cover;
    width: var(--main-size);
    height: var(--main-size);
}
.img-1> img:hover {
    transform: scale(1.2);
    transform-origin: center;

}
@media screen and (min-width: 1000px) {
    :root {
    --margin-md: 80px;
    --space-sm:40px;
    --margin-lg:200px;
    --space-xs: 30px;
    --font-lg:30px;
    }
}
@media (prefers-color-scheme: dark) {
    :root {
    --secondary-color:rgb(135, 135, 196); 
    --primary-color:black;
    }
}
  
  @media (prefers-color-scheme: light) {
    :root {
    --secondary-color: lavender;
    --primary-color: black;
    }
}

@media (max-width: 900px)  {
      :root { 
        --font-sm:16px ;

      }
      .overview {
          display: block;
          padding: 15px;
          max-width: 100px;
      }
}
  